#
# spec file for package python-streamdeck
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-streamdeck
Version:        0.9.6
Release:        1.2
Summary:        Library to control Elgato StreamDeck devices
License:        MIT
URL:            https://github.com/abcminiuser/python-elgato-streamdeck
Source:         https://files.pythonhosted.org/packages/source/s/streamdeck/streamdeck-%{version}.tar.gz
Group:          Development/Languages/Python
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Requires:       libhidapi-libusb0
%python_subpackages

%description
Python library to control Elgato StreamDeck devices.

%prep
%setup -q -n streamdeck-%{version}
dos2unix CHANGELOG README.md

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc CHANGELOG README.md
%license LICENSE
%{python_sitelib}/StreamDeck*
%{python_sitelib}/streamdeck-%{version}*-info

%changelog
* Tue Oct 29 2024 Dirk Müller <dmueller@suse.com>
- update to 0.9.6:
  * Fixed StreamDeck+ returning 10 key states instead of the
    expected 8.
  * Fixed StreamDeck+ dial push event not being detected
    correctly.
  * Fixed old key states and dial states returned if requested
    from inside a key or dial callback function.
  * Added support for FreeBSD platforms.
  * Added support for the StreamDeck Neo.
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.5:
  * Added support for the StreamDeck Plus.
* Mon Nov 13 2023 Frederic Crozat <fcrozat@suse.com>
- Update to 0.9.4:
  * Updated Windows HIDAPI backend to attempt to load from the
    local working directory.
  * Added detection for MacOS Homebrew installations of the
    libhidapi back-end library.
* Wed Jul 19 2023 Frederic Crozat <fcrozat@suse.com>
- Add requires on libhidapi-libusb0, its shared library is loaded
  dynamically by python module and is a must for this module to
  work properly.
* Tue Jul 18 2023 Dirk Müller <dmueller@suse.com>
- fix formatting
* Tue Jul 18 2023 Frederic Crozat <fcrozat@suse.com>
- Update to 0.9.3.
* Mon Aug  2 2021 Simon Lees <sflees@suse.de>
- Initial Package
